> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List FedNow Payments



## OpenAPI

````yaml api-reference/openapi-payments.json GET /fednow
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /fednow:
    get:
      tags:
        - FedNow
      summary: List FedNow Payments
      parameters:
        - description: ID of the account. Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: ID of the bank. Filterable.
          in: query
          name: bank_id
          schema:
            type: string
        - description: External account number. Filterable.
          in: query
          name: external_account_number
          schema:
            type: string
        - description: >-
            Status of originated payment at the external account. Only populated
            for sent payments. One of `pending`, `processing`, `done`,
            `rejected`, `blocked`, or `error`. Filterable.
          in: query
          name: external_status
          schema:
            type: string
        - description: ID of the organization. Filterable.
          in: query
          name: org_id
          schema:
            type: string
        - description: FedNow payment ID. Filterable.
          in: query
          name: payment_id
          schema:
            type: string
        - description: >-
            One of `pending`, `processing`, `sent`, `done`, or `error`. The
            available values for status are driven by payment type. Successful
            credits (incoming) terminate in `done`. Debits (outgoing) terminate
            in `sent`. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: acct_11kpbg3r130zjwr
                        amount: '100.00'
                        bank_id: bank_acme
                        created_at: '2024-01-01T00:00:00Z'
                        currency: USD
                        description: FedNow transfer 202503243211779688172026683739635
                        error: null
                        external_account_number: '123456789'
                        external_name: John Doe
                        external_reject_reason: null
                        external_routing_number: '987654321'
                        external_status: pending
                        fed_settlement_date: '2024-01-01'
                        id: fednow_11ky35224fez5zb
                        memo: Cherry trees
                        org_id: org_acme
                        originator_name: Jane Doe
                        payment_id: '202503243211779688172026683739635'
                        payment_type: debit
                        related_fednow_ids:
                          - '202503243211779688172026683739633'
                          - '202503243211779688172026683739634'
                        security_context:
                          device_id: a1b2c3d4e5f6
                          ip_address: 192.168.1.1
                          user_agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                        status: pending
                        updated_at: '2024-01-01T00:00:00Z'
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: ID of the account. Filterable.
                          type: string
                        amount:
                          description: Amount of the payment
                          pattern: ^[0-9]+[.][0-9][0-9]$
                          type: string
                        bank_id:
                          description: ID of the bank. Filterable.
                          type: string
                        created_at:
                          description: When this object was created
                          type: string
                        currency:
                          description: Currency of the payment
                          type: string
                        description:
                          description: Optional description of the payment
                          type: string
                        error:
                          description: Error message describing why the payment failed
                          type: string
                        external_account_number:
                          description: External account number. Filterable.
                          type: string
                        external_name:
                          description: External account name
                          type: string
                        external_reject_reason:
                          description: >-
                            Rejection reason information for rejected payments.
                            Only present for payments rejected by FedNow or
                            counterparty.
                          properties:
                            reason_code:
                              description: >-
                                ISO 20022 or FedNow proprietary reason code for
                                rejected payments.
                              type: string
                            reason_description:
                              description: Description of the rejection reason code.
                              type: string
                          type: object
                        external_routing_number:
                          description: External routing number
                          type: string
                        external_status:
                          description: >-
                            Status of originated payment at the external
                            account. Only populated for sent payments. One of
                            `pending`, `processing`, `done`, `rejected`,
                            `blocked`, or `error`. Filterable.
                          type: string
                        fed_settlement_date:
                          description: Settlement date from FedNow
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        memo:
                          description: Optional memo for the payment
                          type: string
                        org_id:
                          description: ID of the organization. Filterable.
                          type: string
                        originator_name:
                          description: Optional sender name for the payment
                          type: string
                        payment_id:
                          description: FedNow payment ID. Filterable.
                          type: string
                        payment_type:
                          description: One of `credit` or `debit`
                          type: string
                        related_fednow_ids:
                          description: An array of IDs for related FedNow payments
                          items:
                            type: string
                          type: array
                        security_context:
                          description: Context for this submission
                          properties:
                            device_id:
                              description: Unique identifier for the device
                              type: string
                            ip_address:
                              description: IP address of the user
                              type: string
                            user_agent:
                              description: User agent string of the client
                              type: string
                          type: object
                        status:
                          description: >-
                            One of `pending`, `processing`, `sent`, `done`, or
                            `error`. The available values for status are driven
                            by payment type. Successful credits (incoming)
                            terminate in `done`. Debits (outgoing) terminate in
                            `sent`. Filterable.
                          type: string
                        updated_at:
                          description: When this object was last updated
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` fednow elements, starting after the fednow described by
            `page_cursor`. If no more fednows are available, the resulting list
            will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````